%define gettext_package control-center-2.0

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:        GNOME control center
Name:      	control-center
Version:   	2.22.1
Release:   	1
Epoch:		1
License: 	GNU/LGPL
URL:	  	ftp://ftp.gnome.org
Group:     	Graphical Desktop/GNOME/Base
Source: 	http://download.gnome.org/sources/gnome-control-center/2.20/gnome-control-center-%{version}.tar.bz2
Patch2: 	control-center-2.20.0-enable-sound-by-default.patch
Patch3: 	control-center-2.19.3-no-gnome-common.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=497807
Patch5: 	background-location.patch
# Fix some useless warnings in libslab
# http://bugzilla.gnome.org/show_bug.cgi?id=439398
Patch6: 	gnome-control-center-2.19.90-no-warnings.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=524813
Patch7: 	gnome-control-center-2.22.0-caps-lock-bindables.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=526944 
Patch8: 	no-gdmsetup.patch
# change default preferred apps to programs we ship
Patch99: 	default-applications.patch
Patch100: 	add-randr12-capplet.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	gnome-icon-theme
Requires: 	libxklavier >= 3.5
Requires: 	libgail-gnome
Requires: 	alsa-lib
Requires: 	gnome-menus gnome-settings-daemon
PreReq:   	gtk2+
Requires: 	usermode

BuildRequires: 	autoconf automake libtool
BuildRequires: 	esound-devel
BuildRequires: 	pango-devel
BuildRequires: 	gtk2+-devel
BuildRequires: 	GConf-devel
BuildRequires: 	gnome-desktop-devel
BuildRequires: 	libgnomeui-devel
BuildRequires: 	libgnome-devel
BuildRequires: 	libbonobo-devel
BuildRequires: 	libbonoboui-devel
BuildRequires: 	gnome-vfs-devel
BuildRequires: 	fontconfig-devel
BuildRequires: 	desktop-file-utils
#BuildRequires: 	/usr/bin/automake-1.4
BuildRequires: 	/usr/bin/autoconf
BuildRequires: 	metacity
BuildRequires: 	libxklavier-devel >= 3.2
BuildRequires: 	libXcursor-devel
BuildRequires: 	alsa-lib-devel
BuildRequires: 	nautilus-devel
BuildRequires: 	eel-devel
BuildRequires: 	gettext
BuildRequires: 	gnome-menus-devel
# For intltool:
BuildRequires: 	perl-XML-Parser
BuildRequires: 	evolution-data-server-devel
BuildRequires: 	libXxf86misc-devel 
BuildRequires: 	libxkbfile-devel
BuildRequires: 	libXScrnSaver-devel
BuildRequires: 	gnome-doc-utils
BuildRequires: 	gstreamer10-devel
BuildRequires: 	gst-plugins-base-devel
BuildRequires: 	libglade-devel
BuildRequires: 	libxml2-devel
BuildRequires: 	hal-devel >= 0.5.6
BuildRequires: 	dbus-devel >= 0.90
BuildRequires: 	dbus-glib-devel >= 0.70 e2fsprogs-devel db-devel
BuildRequires:  gnome-settings-daemon-devel

%description
GNOME (the GNU Network Object Model Environment) is an attractive and
easy-to-use GUI desktop environment. The control-center package
provides the GNOME Control Center utilities that allow you to setup
and configure your system's GNOME environment (things like the desktop
background and theme, the screensaver, system sounds, and mouse
behavior).

If you install GNOME, you need to install control-center.

%package devel
Summary: 	GNOME Control Center development libraries and header files
Group: 		Development/Libraries
Requires: 	%{name} = %{epoch}:%{version}-%{release}
Requires: 	pkg-config

%description devel
GNOME (the GNU Network Object Model Environment) is an attractive and
easy-to-use GUI desktop environment. The control-center package
provides the GNOME Control Center utilities that allow you to setup
and configure your system's GNOME environment (things like the desktop
background and theme, the screensaver, system sounds, and mouse
behavior).

This packages development files for GNOME Control Center.

%prep
%setup -q -n gnome-control-center-%{version}
%patch2 -p0 -b .enable-sound
%patch3 -p1 -b .no-gnome-common
%patch5 -p1 -b .background-location
pushd libslab
%patch6 -p0 -b .warnings
popd
%patch7 -p0 -b .esc-backspace-bindables
%patch8 -p1 -b .no-gdmsetup

%patch99 -p1 -b .default-apps

#%patch100 -p1 -b .add-randr12-capplet



%build
FLAGS=`echo "$RPM_OPT_FLAGS" | sed 's/-Os/-O2/'`
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS -fno-use-cxa-atexit"

libtoolize --force
autoreconf

# work around a gstreamer problem where it doesn't find
# plugins the first time around
/usr/bin/gst-inspect-0.10 --print-all >& /dev/null
# Work-around http://bugzilla.gnome.org/show_bug.cgi?id=427939
sed -i -e 's/@ENABLE_SK_TRUE@_s/_s/' help/Makefile.in


# Add -Wno-error to silence gswitchit
%configure --sysconfdir=%_sysconfdir/gnome --localstatedir=/var/lib --libexecdir=$(pkg-config --variable=prefix ORBit-2.0)/lib/control-center --enable-gstreamer --enable-alsa CFLAGS="$RPM_OPT_FLAGS -Wno-error" --enable-aboutme
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

for i in apps_gnome_settings_daemon_default_editor.schemas		\
	    apps_gnome_settings_daemon_keybindings.schemas		\
	    apps_gnome_settings_daemon_screensaver.schemas		\
	    desktop_gnome_font_rendering.schemas ; do			\
	    rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/$i ;	\
done

# Add a "valid" OnlyShowIn entry, otherwise desktop-file-install complains
sed -i -e "s/OnlyShowIn=;/OnlyShowIn=GNOME;/"  \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-theme-installer.desktop
sed -i -e "s/OnlyShowIn=;/OnlyShowIn=GNOME;/"  \
  $RPM_BUILD_ROOT%{_datadir}/applications/themus-theme-applier.desktop

# we do want this
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/wm-properties

# we don't want these
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/autostart
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/cursor-fonts

# don't package mime caches
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/XMLnamespaces
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/aliases
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/application/x-gnome-theme-package.xml
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/globs
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/magic
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/subclasses
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/mime.cache
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/mimeinfo.cache

%find_lang %{gettext_package} --all-name --with-gnome

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule 						\
   %{_sysconfdir}/gnome/gconf/schemas/fontilus.schemas			\
   %{_sysconfdir}/gnome/gconf/schemas/control-center.schemas			\
   %{_sysconfdir}/gnome/gconf/schemas/themus.schemas				\
     > /dev/null || :
update-desktop-database --quiet %{_datadir}/applications
update-mime-database %{_datadir}/mime > /dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
     %{_sysconfdir}/gnome/gconf/schemas/fontilus.schemas \
     %{_sysconfdir}/gnome/gconf/schemas/themus.schemas \
     %{_sysconfdir}/gnome/gconf/schemas/control-center.schemas \
     > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
     %{_sysconfdir}/gnome/gconf/schemas/fontilus.schemas \
     %{_sysconfdir}/gnome/gconf/schemas/themus.schemas \
     %{_sysconfdir}/gnome/gconf/schemas/control-center.schemas \
     > /dev/null || :
fi

%postun
/sbin/ldconfig
update-desktop-database --quiet %{_datadir}/applications
update-mime-database %{_datadir}/mime > /dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{gettext_package}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_datadir}/gnome-control-center/keybindings/*.xml
%{_datadir}/gnome-control-center/glade
%{_datadir}/gnome-control-center/pixmaps
%{_datadir}/gnome-control-center/*.xml
%{_datadir}/applications/*.desktop
%{_datadir}/desktop-directories/*
%{_datadir}/mime/packages/gnome-theme-package.xml
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/pkgconfig/gnome-keybindings.pc
# list all binaries explicitly, so we notice if one goes missing
%{_bindir}/gnome-about-me
%{_bindir}/gnome-appearance-properties
%{_bindir}/gnome-at-mobility
%{_bindir}/gnome-at-properties
%{_bindir}/gnome-at-visual
%{_bindir}/gnome-control-center
%{_bindir}/gnome-default-applications-properties
%{_bindir}/gnome-display-properties
%{_bindir}/gnome-font-viewer
%{_bindir}/gnome-keybinding-properties
%{_bindir}/gnome-keyboard-properties
%{_bindir}/gnome-mouse-properties
%{_bindir}/gnome-network-preferences
%{_bindir}/gnome-sound-properties
%{_bindir}/gnome-theme-thumbnailer
%{_bindir}/gnome-thumbnail-font
%{_bindir}/gnome-typing-monitor
%{_bindir}/gnome-window-properties
%{_bindir}/themus-theme-applier
%{_libdir}/nautilus/extensions-2.0/*.so
%{_libdir}/*.so.*
%{_sysconfdir}/gnome/gconf/schemas/fontilus.schemas
%{_sysconfdir}/gnome/gconf/schemas/themus.schemas
%{_sysconfdir}/gnome/gconf/schemas/control-center.schemas
%{_sysconfdir}/gnome/gnome-vfs-2.0/modules/*.conf
%{_sysconfdir}/gnome/xdg/menus/gnomecc.menu
%{_sysconfdir}/gnome/xdg/autostart/gnome-at-session.desktop
%{_libdir}/gnome-vfs-2.0/modules/*.so
%{_libdir}/window-manager-settings/*.so
%dir %{_libdir}/window-manager-settings
%dir %{_datadir}/gnome/wm-properties
%dir %{_datadir}/gnome-control-center
%dir %{_datadir}/gnome-control-center/keybindings


%files devel
%defattr(-,root,root)
%{_includedir}/gnome-window-settings-2.0
%{_libdir}/libgnome-window-settings.so
%{_libdir}/pkgconfig/*
%{_libdir}/*.la
%{_libdir}/libgnome-window-settings.*a
%{_libdir}/gnome-vfs-2.0/modules/*.a
%{_libdir}/gnome-vfs-2.0/modules/*.la
%{_libdir}/window-manager-settings/*.*a
%{_libdir}/nautilus/extensions-2.0/*.*a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr 16 2008 Christian Metzen <metzench@ccux-linux.de> 1:2.22.1-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 1:2.22.0-2
- cleanup
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 1:2.22.0-1
- Version update
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 1:2.20.1-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 1:2.20.0.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 1:2.18.1-2
- rebuild against gnome 2.20.0
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 1:2.18.1-1
- Version update
* Tue Apr 03 2007 Christian Metzen <metzench@ccux-linux.de> 1:2.18.0-2
- bugfix for mime database
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 1:2.18.0-1
- Version update
* Mon Nov 20 2006 Christian Metzen <metzench@ccux-linux.de> 1:2.16.2-1
- Version update
* Sat Nov 11 2006 Christian Metzen <metzench@ccux-linux.de> 1:2.16.1-6
- readded some patches, fixed bug in scriplets
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 1:2.16.1-5
- clean buildchain
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 1:2.16.1-4
- removed patches
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 1:2.16.1-3
- tryout with O2
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 1:2.16.1-2
- rebuild, moved libexec
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 1:2.16.1-1
- bump to 2.16.1
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.1-1
- Version update, moved prefix
* Sun Mar 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.13.92-1
- Initial Release
